Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(3839)

Unified Diff: bootstrap/bootstrap_wheel_wheel.sh

Issue 1200843003: Added virtualenv for depot_tools (Closed) Base URL: svn://svn.chromium.org/chrome/trunk/tools/depot_tools
Patch Set: Fix on Windows Created 5 years, 6 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
Index: bootstrap/bootstrap_wheel_wheel.sh
diff --git a/bootstrap/bootstrap_wheel_wheel.sh b/bootstrap/bootstrap_wheel_wheel.sh
new file mode 100755
index 0000000000000000000000000000000000000000..fe1c03925959a6d6ec54fb42f1a2addbd2c865ce
--- /dev/null
+++ b/bootstrap/bootstrap_wheel_wheel.sh
@@ -0,0 +1,34 @@
+#!/bin/bash
+set -e
+set -x
+
+cd "$(dirname "$0")"
+
+# Script to bootstrap the 'wheel' wheel from deps.pyl, You only need to run
+# this when upgrading the wheel wheel in deps.pyl, or when initializing the
+# google storage bucket from scratch.
+
+./bootstrap.py BUILD_ENV
+
+. ./BUILD_ENV/bin/activate
+
+read -r -d '' PROG <<EOF || true
+import bootstrap
+print bootstrap.read_deps('deps.pyl')['wheel']['gs']
+EOF
+SHA=$(echo "$PROG" | python -)
+echo $SHA
+
+pip install wheel "https://storage.googleapis.com/chrome-python-wheelhouse/sources/$SHA"
+
+rm -rf wheelhouse
+mkdir wheelhouse
+
+python - <<EOF
+import build_deps
+import bootstrap
+build = bootstrap.read_deps('deps.pyl')['wheel']['build']
+build_deps.clear_wheelhouse()
+build_deps.process_gs('wheel', '$SHA', build)
+build_deps.push_wheelhouse()
+EOF
« bootstrap/bootstrap.py ('K') | « bootstrap/bootstrap.py ('k') | bootstrap/build_deps.py » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698